edu.whs.spin2018.baoapp.model.spiel.spieler

## Enum SpielerIndex

- java.lang.Object
- - java.lang.Enum<SpielerIndex>
  - - edu.whs.spin2018.baoapp.model.spiel.spieler.SpielerIndex

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpielerIndex>

      public enum SpielerIndex
      extends java.lang.Enum<SpielerIndex>

  Ist primaer fuer die Reihenfolge, in der die Spielzuege ausgefuehrt werden relevant. Spieler Eins beginnt standardmaessig.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SPIELER_EINS`
    `SPIELER_ZWEI`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `pruefeObPositionInSpielbereich(Position pos)`
    `static SpielerIndex` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpielerIndex[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SPIELER_EINS

          public static final SpielerIndex SPIELER_EINS

    - #### SPIELER_ZWEI

          public static final SpielerIndex SPIELER_ZWEI

  - ### Method Detail

    - #### values

          public static SpielerIndex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpielerIndex c : SpielerIndex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpielerIndex valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### pruefeObPositionInSpielbereich

          public boolean pruefeObPositionInSpielbereich(Position pos)